org.gradle.jvm

## Interface JvmLibrarySpec

- All Superinterfaces:
    ComponentSpec, GeneralComponentSpec, JvmComponentSpec, LibrarySpec, ModelElement, Named, PlatformAwareComponentSpec, SourceComponentSpec, VariantComponent, VariantComponentSpec

      @Incubating
      public interface JvmLibrarySpec
      extends LibrarySpec, JvmComponentSpec, PlatformAwareComponentSpec

  Definition of a JVM library component that is to be built by Gradle.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JvmApiSpec` | `getApi()` The public API of this library.
    `DependencySpecContainer` | `getDependencies()` The component-level dependencies of this library.

    - ### Methods inherited from interface org.gradle.platform.base.SourceComponentSpec

      `getSources`

    - ### Methods inherited from interface org.gradle.platform.base.VariantComponentSpec

      `getBinaries`

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.platform.base.VariantComponent

      `getName, getVariants`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName`

    - ### Methods inherited from interface org.gradle.platform.base.PlatformAwareComponentSpec

      `targetPlatform`

- - ### Method Detail

    - #### getApi

          JvmApiSpec getApi()

      The public API of this library.

    - #### getDependencies

          DependencySpecContainer getDependencies()

      The component-level dependencies of this library.